Pular para o conteúdo principal
POST
CSharp (SDK)

Autorizações

Authorization
string
header
obrigatório

Send Authorization: Bearer , using an MKA1 API key for automation or an OAuth API access token for a signed-in application. Use a dynamic security callback to refresh OAuth access tokens. Browser session-only operations still require their declared cookie.

Cabeçalhos

X-On-Behalf-Of
string

Optional external end-user identifier forwarded by the API gateway.

Parâmetros de caminho

connector_id
string
obrigatório

O ID do conector.

Resposta

202 - application/json

OK

id
string
obrigatório
object
any
obrigatório
status
enum<string>
obrigatório
Opções disponíveis:
running,
completed,
failed
trigger
enum<string>
obrigatório

O que iniciou a execução: o intervalo, uma solicitação de sincronização, a criação com lojas, uma loja sendo vinculada ou uma alteração de regra.

Opções disponíveis:
schedule,
manual,
created,
linked,
rules_changed
started_at
integer
obrigatório

Quando a execução começou (segundos Unix).

Intervalo obrigatório: -9007199254740991 <= x <= 9007199254740991
finished_at
integer | null
obrigatório

Quando a execução terminou (segundos Unix).

Intervalo obrigatório: -9007199254740991 <= x <= 9007199254740991
added
integer
obrigatório
Intervalo obrigatório: -9007199254740991 <= x <= 9007199254740991
updated
integer
obrigatório
Intervalo obrigatório: -9007199254740991 <= x <= 9007199254740991
removed
integer
obrigatório
Intervalo obrigatório: -9007199254740991 <= x <= 9007199254740991
restored
integer
obrigatório
Intervalo obrigatório: -9007199254740991 <= x <= 9007199254740991
skipped
integer
obrigatório
Intervalo obrigatório: -9007199254740991 <= x <= 9007199254740991
failed
integer
obrigatório
Intervalo obrigatório: -9007199254740991 <= x <= 9007199254740991
error
string | null
obrigatório

Por que a execução falhou como um todo; nulo quando foi concluída ou ainda está em execução.